/*
 *
 Project name:
       TFT Proto 4.3"
 Copyright:
      (c) mikroElektronika, 2014.
 Description:
      TFT Proto 4.3" carries a 480x272 ATO43B35 TFT screen covered with a 4-wire resistive touchscreen panel.
      To drive the 262k-color display, there's an SSD1963 graphic controller.
      MCU interface that includes a deep-sleep power saving mode (accessed through the GPIO0 pin on the side of the board). 
      The touchpanel is driven by an advanced STMPE811 controller. 
      The board is lined with two rows of 26 pins for interfacing it with your MCU. 
      
      TFT Proto 4.3" uses a 3.3V power supply only!
 Test configuration:
     MCU:             STM32F407VG
                      http://www.st.com/st-web-ui/static/active/en/resource/technical/document/reference_manual/DM00031020.pdf
     Dev. Board:      EasyMX Pro v7 for STM32 ARM
                      http://www.mikroe.com/easymx-pro/stm32/
     Oscillator:      150000000Hz MCU Clock
     Product link:    TFT Proto 4.3"
                      http://www.mikroe.com/add-on-boards/display/tft-proto-4inch3/
     SW:              mikroC PRO for PIC
                      http://www.mikroe.com/mikroc/pic/
*/


#include "calculator_objects.h"

void main() {

  Start_TP();

  //I2C3_Init_Advanced(100000, &_GPIO_MODULE_I2C3);

  while (1) {
    Check_TP();
  }
}